# Gimp.escape_uline

    function escape_uline(str: String): String {
        // Gjs wrapper for gimp_escape_uline()
    }

This function returns a copy of str with all underline converted to two adjacent underlines. This comes in handy when needing to display strings with underlines (like filenames) in a place that would convert them to mnemonics.

Since 2.2

str

  Underline infested string (or null)

Returns

  A (possibly escaped) copy of str which should be freed using g_free() when it is not needed any longer.